

<div class="table-responsive">        
 
    <h1> <strong>  Liste des Véhicules </strong> </h1>
    <br>
      <div class="panel-body">
             
        <div class="form-group">
                <input type="search"[(ngModel)]="motcle" placeholder=" Saisir un mot clé">
        <button class=" btn btn-secondary" (click)="chercher()"> <i class="glyphicon glyphicon-search"></i></button> 
        </div>
          <table class="table table-striped table-bordered" class="table table-hover"> 
              <thead >
                  <tr>
                      <th>#</th>
                      <th>Marque</th>
                      <th>Matricule</th>
                      <th>Chemin carte grise</th>
                      <th>Model</th>
                      <th>Sous marque</th>
                      <th>Etat</th>
                    <th> Actions</th>
                  </tr>
              </thead>
              <tbody >
                 <tr *ngFor="let vehicule of vehicules"> 
                     <td> {{vehicule.id_vehicule}}</td>
                     <td> {{vehicule.marque}}</td>
                     <td> {{vehicule.matricule}}</td>
                     <td> {{vehicule.chemin_gris_carte}}</td>
                     <td> {{vehicule.model}}</td>
                     <td> {{vehicule.sous_marque}}</td>
                     <td> {{vehicule.etat}}</td>
                     <td><img src="assets/images/supprimer.png" width="27" height="27" (click)="deleteVehicule(vehicule.id_vehicule)" title="supprimer">  
                        &nbsp;
                        &nbsp;    
                        <img src="assets/images/modifier.png" width="27" height="27"  (click)="UpdateVehicule(vehicule)" title="modifier"></td>
                 </tr>
              </tbody>
          </table>
      </div>
      </div>
      <br>
  <router-outlet> </router-outlet>
